### Constructor

# Gsk.TextNode.new

#### Declaration [src]

    GskRenderNode*
    gsk_text_node_new (
      PangoFont* font,
      PangoGlyphString* glyphs,
      const GdkRGBA* color,
      const graphene_point_t* offset
    )

#### Description [src]

Creates a render node that renders the given glyphs.

Note that `color` may not be used if the font contains color glyphs.

#### Parameters

`font` | `PangoFont*`
| the `PangoFont` containing the glyphs
| Ownership is not transferred to the callee
`glyphs` | `PangoGlyphString*`
| the `PangoGlyphString` to render
| Ownership is not transferred to the callee
`color` | `const GdkRGBA*`
| the foreground color to render with
| Ownership is not transferred to the callee
`offset` | `const graphene_point_t*`
| offset of the baseline
| Ownership is not transferred to the callee

#### Return value

Returns: `GskTextNode`
a new `GskRenderNode`
Ownership of the data is transferred to the caller
Can be `NULL`